org.apache.olingo.odata2.client.api.ep

## Class DeserializerProperties

- java.lang.Object
- - org.apache.olingo.odata2.client.api.ep.DeserializerProperties

-     public class DeserializerProperties
      extends Object

  The `EntityProviderReadProperties` contains all necessary settings to read an entity with the `EntityProvider`.

  The main settings are

  - the `type mappings`
  - and `validatingFacets`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeserializerProperties.DeserializerPropertiesBuilder` Builder for `EntityProviderReadProperties`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OnDeserializeInlineContent` | `getCallback()`
    `Map<String,Object>` | `getTypeMappings()`
    `Map<String,String>` | `getValidatedPrefixNamespaceUris()`
    `static DeserializerProperties.DeserializerPropertiesBuilder` | `init()`
    `static DeserializerProperties.DeserializerPropertiesBuilder` | `initFrom(DeserializerProperties properties)`
    `boolean` | `isValidatingFacets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### init

          public static DeserializerProperties.DeserializerPropertiesBuilder init()

      Returns:
        DeserializerPropertiesBuilder

    - #### initFrom

          public static DeserializerProperties.DeserializerPropertiesBuilder initFrom(DeserializerProperties properties)

      Parameters:
        `properties` -
      Returns:
        DeserializerPropertiesBuilder

    - #### getTypeMappings

          public Map<String,Object> getTypeMappings()

      Returns:
        TypeMappings

    - #### getValidatedPrefixNamespaceUris

          public Map<String,String> getValidatedPrefixNamespaceUris()

    - #### isValidatingFacets

          public boolean isValidatingFacets()

    - #### getCallback

          public OnDeserializeInlineContent getCallback()

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.